{ config, pkgs, inputs, ... }:

{
  nixpkgs.overlays = [
    (self: super: {
      # Experimental features in Waybar gives us access to workspace selectors
      waybar = super.waybar.overrideAttrs (oldAttrs: {
        mesonFlags = oldAttrs.mesonFlags ++ [ "-Dexperimental=true" ];
      });
    })
    inputs.codeium.overlays.x86_64-linux.default
    inputs.hyprcontrib.overlays.default
  ];

  virtualisation.docker.enable = true;
}
